### Method

# Ide PipelineAddin prepare

#### Declaration

    void
    ide_pipeline_addin_prepare (
      IdePipelineAddin* self,
      IdePipeline* pipeline
    )

#### Description

This function is called before prepare so that plugins may setup signals on the pipeline that may allow them to affect how other plugins interact.

For example, if you need to connect to pipeline::launcher-created, you might want to do that here.

Available since: | 3.34

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.